package com.ruoyi.system.service;

import java.util.List;
import com.ruoyi.system.domain.IntegralCate;

/**
 * 积分商品分类Service接口
 * 
 * @author ruoyi
 * @date 2025-05-13
 */
public interface IIntegralCateService 
{
    /**
     * 查询积分商品分类
     * 
     * @param id 积分商品分类主键
     * @return 积分商品分类
     */
    public IntegralCate selectIntegralCateById(Long id);

    /**
     * 查询积分商品分类列表
     * 
     * @param integralCate 积分商品分类
     * @return 积分商品分类集合
     */
    public List<IntegralCate> selectIntegralCateList(IntegralCate integralCate);

    /**
     * 新增积分商品分类
     * 
     * @param integralCate 积分商品分类
     * @return 结果
     */
    public int insertIntegralCate(IntegralCate integralCate);

    /**
     * 修改积分商品分类
     * 
     * @param integralCate 积分商品分类
     * @return 结果
     */
    public int updateIntegralCate(IntegralCate integralCate);

    /**
     * 批量删除积分商品分类
     * 
     * @param ids 需要删除的积分商品分类主键集合
     * @return 结果
     */
    public int deleteIntegralCateByIds(Long[] ids);

    /**
     * 删除积分商品分类信息
     * 
     * @param id 积分商品分类主键
     * @return 结果
     */
    public int deleteIntegralCateById(Long id);
}
